<?php

// Digital Shop version 3.0.4
// Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
// See the included End User License Agreement (EULA)

session_start();

require_once('inc/configuration.php');
require_once('inc/css.php');
require_once('inc/languages.php');

// Connect to database
$conn=mysql_connect($host,$user,$password) or die ('Error connecting to MySQL database. <br /> Please verify your configuration.');
if ($database=='') {mysql_select_db('digitalshop');} else {mysql_select_db($database);}

// Is access blocked/banned?
$ip=$_SERVER['REMOTE_ADDR'];
$query="SELECT * FROM digitalshopaccess WHERE ip = '$ip' AND expire = '2147483647'";
$result=mysql_query($query);
if ($result && mysql_num_rows($result)) {
	// IP address is blocked
	header("HTTP/1.0 404 Not Found");
	exit;
}

// Check if an affiliate ID is used
if (isset($_REQUEST['aid']) && !isset($_SESSION['digitalshopaid']) && !isset($_COOKIE['digitalshopaid'])) {
	$aid=mysql_real_escape_string(str_replace('A','',$_REQUEST['aid']));
	$query="SELECT aid, hits FROM digitalshopaffiliate WHERE aid = '$aid'";
	$result=mysql_query($query);
	if ($result && mysql_num_rows($result)) {
		$row=mysql_fetch_array($result);
		$hits=$row[hits]+1;
		$aid=$row[aid];
		$query="UPDATE digitalshopaffiliate SET hits = '$hits' WHERE aid = '$aid'";
		if (mysql_query($query)) {
			$_SESSION['digitalshopaid']=$aid;
			if (!isset($_COOKIE['digitalshopaid']) && empty($_COOKIE['digitalshopaid']))
				setcookie('digitalshopaid',$aid,time()+3600*24*$cookie_days); 
			if (isset($_SESSION['aid']))
				$_SESSION['aid'][2]=$_SESSION['aid'][2]+1;
		}
	}
}

// Prepare shopping cart
if(!isset($_SESSION['cart'])) {$_SESSION['cart']=array();}
if(!isset($_SESSION['paywywitems'])) {$_SESSION['paywywitems']=array();}
$paywyw=false;$paywyw_value='0.00';$paywyw_id='';$paywyw_message=false;

// Process Pay What You Want
if (isset($_REQUEST['paywyw_value']) && isset($_REQUEST['paywyw_id'])) {
	$paywyw_id=intval($_REQUEST['paywyw_id']);
	$paywyw_value=intval(100*str_replace(',','.',$_REQUEST['paywyw_value']))/100;
	if ($paywyw_value<$paywyw_minimum)
		$paywyw_value=0;
	if (isset($_REQUEST['paywyw_free'])) {
		if (floatval($_REQUEST['paywyw_free'])>0 && $paywyw_value==0) {
			// Cannot add free product  
			$paywyw_value=$paywyw_minimum;
			$paywyw_message=true;
		} 
	}
	foreach($_SESSION['paywywitems'] as $paywywkey => $paywywproduct) {
		if ($paywywproduct[0]==$paywyw_id)
			$_SESSION['paywywitems'][$paywywkey]=array($paywyw_id,$paywyw_value);
	}
	if (isset($_REQUEST['paywyw_edit']))
		$paywyw=true;
}

// Construct ordercode
$ordercode='';$amount=0;$free=false;$freemessage='';
foreach($_SESSION['cart'] as $product) {
        $amount=$amount+str_replace(',','',$product[2]);
        if ($product[2]=='0.00') {$free=true;}
	if ($product[2]=='0.01') {
		$amount=$amount-0.01;
		// Paywyw amount
		foreach($_SESSION['paywywitems'] as $paywywproduct) {
			if ($paywywproduct[0]==$product[0])
				$amount=$amount+$paywywproduct[1];
		}
	}
	if ($ordercode=='') {
		$ordercode=$ordercode . $product[0] . '-';
	} else if (strlen($product[0])==5) {
		$orders=explode('-',rtrim($ordercode,'-'));
		$exist=false;
		foreach ($orders as $key => $order){
			if (substr($order,0,3)==substr($product[0],0,3)) {
				$orders[$key]=$order.substr($product[0],3,4);
				$exist=true;
			}
		}
		if (!$exist) {$orders[]=$product[0];}
		$ordercode=implode('-',$orders) . '-';
	} else {
		$ordercode=$ordercode . $product[0] . '-';
	}
}
$ordercode=rtrim($ordercode,'-');

// Process coupon
$newcoupon=0;
if (isset($_REQUEST['newcoupon']))
	$newcoupon=intval($_REQUEST['newcoupon']);
$couponerror='';
if (!isset($_SESSION['coupon']) && $newcoupon==1) {
        // Check for valid coupon
	$coupon=strtoupper(trim($_REQUEST['coupon']));
        if ($coupon!=strtoupper($lang_89) && $coupon!='') {
                $query="SELECT * FROM digitalshopcoupon WHERE coupon = '". mysql_real_escape_string($coupon) . "'";
        	$result=mysql_query($query);
        	if ($result && mysql_num_rows($result)) {
        		$row=mysql_fetch_array($result);
        		if ($row[expire]>time() && $row[cntr]<$row[maxcntr]) {
        			$ordercode=$ordercode.'-'.$row[coupon];
        			$_SESSION['cart'][]=array($coupon,$lang_87 . ' ' . $coupon,$row[value]);
        			$_SESSION['coupon']=$coupon;
        			$_SESSION['couponcntr']=$row[cntr]+1;
        		} else {
                                $couponerror=$lang_97;
                        }
        	} else {
                        $couponerror=$lang_97;
                }
        }
}

// Check for BIPS payment
$bips_payment=false;
if (isset($_REQUEST['paymentoption']) && $_REQUEST['paymentoption'] == 'bips')
	$bips_payment=true;

// Insert the page header
if (!$bips_payment)
	require_once('inc/pagehead.php');

// Main content
// ******************

// Create form
if (isset($_REQUEST['email1']) && isset($_REQUEST['paymentoption']) && !isset($_REQUEST['free']) && $newcoupon==0) {
        
	unset($_REQUEST['coupon']);
	if ($iframe)
		$target='target="_blank"';
	else
		$target='';
	if ($_REQUEST['paymentoption']=='paypal') {
		if ($sandbox)  
			$paypal_url='https://www.sandbox.paypal.com/cgi-bin/webscr';   	// testing 
		else
			$paypal_url='https://www.paypal.com/cgi-bin/webscr';     	// live
		echo "<form method=\"post\" $target action=\"$paypal_url\">\n";
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		echo "setTimeout('document.forms[0].submit();',2000);\n";
		echo "setTimeout('location.href=(\"message.php?message=home\")',30000);\n";
		echo "</script>\n";
        }	
	if ($_REQUEST['paymentoption']=='mb') {
		if ($sandbox)  
			$mb_url='http://www.moneybookers.com/app/test_payment.pl';   	// testing 
		else
			$mb_url='https://www.moneybookers.com/app/payment.pl';     	// live
		echo "<form method=\"post\" $target action=\"$mb_url\">\n";
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		echo "setTimeout('document.forms[0].submit();',2000);\n";
		echo "setTimeout('location.href=(\"message.php?message=home\")',30000);\n";
		echo "</script>\n";
        }
	if ($_REQUEST['paymentoption']=='an') {
		if ($sandbox)  
			$an_url='https://test.authorize.net/gateway/transact.dll';   	// testing 
		else
			$an_url='https://secure.authorize.net/gateway/transact.dll';    // live
		echo "<form method=\"post\" $target action=\"$an_url\">\n";
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		echo "setTimeout('document.forms[0].submit();',2000);\n";
		echo "setTimeout('location.href=(\"message.php?message=home\")',30000);\n";
		echo "</script>\n";
        }	
	if ($_REQUEST['paymentoption']=='bank') {
		echo "<form method=\"post\" action=\"digitalcart.php\">\n";
        }
	
} else if (isset($_REQUEST['email1']) && isset($_REQUEST['free'])) {
	// Email keys for FREE download
        $payer_email=$_REQUEST['email1'];
        $names=array();
	$keys=array();
	$txn_id=time();
        $ids=explode("-",$ordercode);
	$amount=0;
	$unset=array();
	// Check for coupon
	foreach($ids as $key => $id) {
		if (substr($id,0,1)=='C' && $amount==0) {
		        // Check for valid coupon
			$query="SELECT * FROM digitalshopcoupon WHERE coupon = '". mysql_real_escape_string($id) . "'";
			$result=mysql_query($query);
			if ($result && mysql_num_rows($result)) {
				$row=mysql_fetch_array($result);
				if ($row[expire]>time() && $row[cntr]<$row[maxcntr]) {
					// Valid coupon
					$amount=$amount+floatval($row[value]);
					$unset[]=$id;
				}
			}
		} else if (substr($id,0,1)=='C') {
			// Only 1 coupon per order
			$unset[]=$id;
		}
	}
	foreach($unset as $id) {
		$key=array_search($id,$ids);
		unset($ids[$key]);
	}
	$ids=array_values($ids);
	foreach($ids as $id) {
		$originalid=$id;
		if (strlen($id)>4) {$multiplier=(strlen($id)-3)/2;$id=intval(substr($id,0,3));} else {$multiplier=1;}
		$query="SELECT name, price, disc FROM digitalshop WHERE id = '$id'";
		$result=mysql_query($query);
		if ($result && mysql_num_rows($result)) {
			$row=mysql_fetch_array($result);
			if ($multiplier!=1) {$quantity="($multiplier $lang_86)";} else {$quantity='';}
			$names[]="$row[name] $quantity";
			$amount=$amount+floatval($row[price]);
			if ($row[price]==0.01)
				$amount=$amount-0.01;
			if (intval($row[disc])==100 || $amount<=0) {
				if ($sandbox) {$payer_email=$mailfrom;}
				$keys[]=createkey($originalid,$payer_email,$txn_id,'--');
			}
		}
        }
	if (count($keys)==0 || !digitalshopmailkey($payer_email,$mailfrom,$mailbcc,$keys,$names,$txn_id)) {
		$freemessage=$lang_17;
	} else {
		// Increase coupon counter
		$query="UPDATE digitalshopcoupon SET cntr = '" . $_SESSION['couponcntr'] . "' WHERE coupon = '" . $_SESSION['coupon'] . "'";
		$result=mysql_query($query);
		unset($_SESSION['cart']);
		unset($_SESSION['paywywitems']);
		unset($_SESSION['coupon']);
		unset($_SESSION['couponcntr']);
		unset($_REQUEST['coupon']);
		$freemessage=$lang_16.' '.$payer_email;		
	}
	echo "<form method=\"post\" action=\"digitalcart.php\" enctype=\"multipart/form-data\">\n";  
} else if (!$bips_payment) {
	echo "<form method=\"post\" action=\"digitalcart.php\" enctype=\"multipart/form-data\">\n";        
}

if ((!isset($_REQUEST['email1']) && !isset($_REQUEST['free'])) || isset($_REQUEST['coupon'])) {		

	if ($paywyw_message)
		$freemessage=true;
	else
		$freemessage=false;
	if (isset($_REQUEST['id'])) {
		if (isset($_REQUEST['completealbum']))
			$multipleid = intval($_REQUEST['id'])-1;
		else
			$multipleid = 0;
		$orig_id = $_REQUEST['id'];
		for ($i=0;$i<=$multipleid;$i++) {
			if ($multipleid>0)
				$orig_id = str_repeat('0',3-strlen($_REQUEST['showphotoalbum'])) . $_REQUEST['showphotoalbum'] . str_repeat('0',2-strlen($i)) . $i;
			// Retrieve product name and price
			if (strlen($orig_id)==5) {
				$photo=$orig_id;
				$id=intval(substr($orig_id,0,3));
			} else {
				$photo='';
				$id=intval($orig_id);	
			}
			$filename='???';
			$price='???';
			$query="SELECT name, price, disc FROM digitalshop WHERE id = '$id'";$result=mysql_query($query);
			if ($result && mysql_num_rows($result)) {
				$row=mysql_fetch_array($result);
				if ($photo=='') {
					$filename=html_entity_decode($row[name]);
				} else {
					$album_id=mysql_real_escape_string($_REQUEST['showphotoalbum']);
					$photo_id=substr($orig_id,3,2);
					$photo_path='';
					$queryid="SELECT name FROM digitalshop WHERE id = '$album_id'";
					$resultid=mysql_query($queryid);
					if ($resultid && mysql_num_rows($resultid)) {
						$rowid=mysql_fetch_array($resultid);
						$album_dir=$rowid[name];
						if (file_exists("gfx/$album_dir/$photo_id.jpg")) {
							$photo_path="gfx/$album_dir/$photo_id.jpg";
						} else if (file_exists("gfx/$album_dir/$photo_id.jpeg")) {
							$photo_path="gfx/$album_dir/$photo_id.jpeg";
						} else if (file_exists("gfx/$album_dir/$photo_id.png")) {
							$photo_path="gfx/$album_dir/$photo_id.png";
						} else if (file_exists("gfx/$album_dir/$photo_id.gif")) {
							$photo_path="gfx/$album_dir/$photo_id.gif";
						}
						if ($photo_path!='') {
							$filename=html_entity_decode($row[name]) . " $lang_67 " . $photo . '<a href="' . $shopurl .'/' . $photo_path . '" target="_blank" onclick="blur();"><img src="' . $shopurl . '/shopgfx/url.gif" style="width : 13px;height : 13px;border : 0px;padding-right : 5px;padding-left : 5px;" alt="url" title="URL" onclick="blur();" /></a>';
						} else {
							// MP3
							$filename=html_entity_decode($row[name]) . " $lang_169 " . $photo . " <a href=\"$shopurl/gfx/$row[name]/$photo_id.mp3\" title=\"$image\" class=\"sm2_button\">$photo_id.mp3</a>";
						}
					} else {
						$filename=html_entity_decode($row[name]) . " $lang_67 " . $photo;
					}
				}
				if ($row[disc]>0) {
					$row[price]=floatval(str_replace(',','',$row[price]))-(floatval(str_replace(',','',$row[price]))*($row[disc]/100));
					$filename=$filename . ' (-/-' . $row[disc] . '%)';
				}
				$price=number_format(floatval($row[price]),2,'.',',');
			}
			if ($photo!='') {$id=$photo;}
			// Add product to session cart - unless it is already selected
			if ($filename!='???') {
				foreach($_SESSION['cart'] as $product) {
					if ($product[0]==$id) {$filename='???';}				
				}		
				if ($filename!='???' && ($price>0 || intval($row[disc])==100)) {
					if (strlen($ordercode)<121) {
						if (intval($row[disc])==100 && $amount==0 && count($_SESSION['paywywitems'])==0) {
							$_SESSION['cart'][]=array($id,$filename,$price);
						} else if (intval($row[disc])!=100 && !$free) {
							$_SESSION['cart'][]=array($id,$filename,$price);                                        
							if ($price=='0.01') {
								$_SESSION['paywywitems'][]=array($id,0);
								$paywyw=true;
								$paywyw_id=$id;
							}
						} else {
							$freemessage=true;
						}
						$maxorder='';
					} else {
						$maxorder=$lang_66;
					}
				}
			}
		}
	} else if (isset($_REQUEST['removeid'])) {
		// Remove product from cart
		$removeid=$_REQUEST['removeid'];
		foreach($_SESSION['cart'] as $key => $product) {
			if ($product[0]==$removeid && substr($product[0],0,1)=='C') {
				unset($_SESSION['coupon']);
				unset($_SESSION['couponcntr']);
			}
			if ($product[0]==$removeid) {
				unset($_SESSION['cart'][$key]);
				foreach($_SESSION['paywywitems'] as $paywywkey => $paywywproduct) {
					if ($paywywproduct[0]==$removeid) {
						unset($_SESSION['paywywitems'][$paywywkey]);
						break;
					}
				}
			}
		}
		$_SESSION['cart']=array_values($_SESSION['cart']);
		$_SESSION['paywywitems']=array_values($_SESSION['paywywitems']);
	}
			
	// Reconstruct order code (added or removed a product)
	$ordercode='';
	if (count($_SESSION['cart'])>0) {
		foreach($_SESSION['cart'] as $product) {
			if ($ordercode=='') {
				$ordercode=$ordercode . $product[0] . '-';
			} else if (strlen($product[0])==5) {
				$orders=explode('-',rtrim($ordercode,'-'));
				$exist=false;
				foreach ($orders as $key => $order){
					if (substr($order,0,3)==substr($product[0],0,3)) {
						$orders[$key]=$order.substr($product[0],3,4);
						$exist=true;
					}
				}
				if (!$exist) {$orders[]=$product[0];}
				$ordercode=implode('-',$orders) . '-';
			} else {
				$ordercode=$ordercode . $product[0] . '-';
			}
		}
		$ordercode=rtrim($ordercode,'-');	
	} else {
		$_SESSION['cart']=array();
	}
	
	// Show cart and email form
	echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
	echo "<tr><td style=\"width : " . $maintablemargin . "px;\">&nbsp;</td><td>&nbsp;</td><td style=\"width : 110px;\">&nbsp;</td><td style=\"width : 40px;\">&nbsp;</td><td style=\"width : " . $maintablemargin . "px;\">&nbsp;</td></tr>\n";
	if ($paywyw) {
		echo "<tr><td colspan=\"5\" style=\"font-weight : bold;color : $linkcolor;text-align: center;\">$lang_157</td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "<tr><td colspan=\"5\" style=\"text-align: center;\">$lang_158</td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "<tr><td colspan=\"5\" style=\"text-align: center;\"><input type=\"hidden\" name=\"paywyw_free\" value=\"$amount\" /><input type=\"hidden\" name=\"paywyw_id\" value=\"$paywyw_id\" /><input type=\"text\" name=\"paywyw_value\" size=\"7\" class=\"input\" value=\"" . number_format(floatval($paywyw_value),2,'.',',') . "\" style=\"text-align: right;\" /> $currency</td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "<tr><td colspan=\"5\" style=\"text-align: center;\"><input type=\"button\" value=\"$lang_06\" class=\"button\" onclick=\"document.forms[0].submit();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "<tr><td colspan=\"5\" style=\"font-size : 10px;vertical-align : top;text-align: center\"><img src=\"shopgfx/infotag.png\" style=\"width : 20px;height : 20px;border : 0px;\" alt=\"Info\" /> $lang_161</td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "</table>\n";
	} else if (count($_SESSION['cart'])>0) {
		echo "<tr><td>&nbsp; </td><td style=\"text-align: left;font-weight : bold;\">$lang_01</td><td style=\"text-align: right;font-weight : bold;\">$lang_03 $currency</td><td>&nbsp;</td><td>&nbsp;</td></tr><tr><td colspan=\"5\">&nbsp;</td></tr>\n";
		// List all products in the cart
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			$paywyw_value=0;
			if ($product[2]!='0.00') {
				if ($product[2]!='0.01') {	
					echo "<tr><td>&nbsp;</td><td style=\"text-align: left;\">".$product[1]."</td><td style=\"text-align: right;\">".$product[2]."</td><td style=\"text-align: left;\"><a href=\"digitalcart.php?removeid=".$product[0]."\"><img src=\"shopgfx/delete.gif\" style=\"width : 14px;height : 14px;border : 0px;padding-left : 15px;\" alt=\"delete\" title=\"$lang_33\" /></a></td><td>&nbsp; </td></tr>\n";
				} else {
					// Paywyw amount
					foreach($_SESSION['paywywitems'] as $paywywproduct) {
						if ($paywywproduct[0]==$product[0]) { 
							if (floatval($paywywproduct[1])==0)
								$paywyw_value=$lang_80;
							else
								$paywyw_value=number_format(floatval($paywywproduct[1]),2,'.',',');
						}
					}
					echo "<tr><td>&nbsp;</td><td style=\"text-align: left;\">".$product[1]."</td><td style=\"text-align: right;\">".$paywyw_value."</td><td style=\"text-align: left;\"><a href=\"digitalcart.php?removeid=".$product[0]."\"><img src=\"shopgfx/delete.gif\" style=\"width : 14px;height : 14px;border : 0px;padding-left : 15px;\" alt=\"delete\" title=\"$lang_33\" /></a><a href=\"digitalcart.php?paywyw_edit=1&amp;paywyw_id=".$product[0]."&amp;paywyw_value=$paywyw_value\"><img src=\"shopgfx/edit.gif\" style=\"width : 14px;height : 14px;border : 0px;padding-left : 15px;\" alt=\"edit\" title=\"$lang_159\" /></a></td><td>&nbsp; </td></tr>\n";
				}
			} else {
				echo "<tr><td>&nbsp;</td><td style=\"text-align: left;\">".$product[1]."</td><td style=\"text-align: right;\">".$lang_80."</td><td style=\"text-align: left;\"><a href=\"digitalcart.php?removeid=".$product[0]."\"><img src=\"shopgfx/delete.gif\" style=\"width : 14px;height : 14px;border : 0px;padding-left : 15px;\" alt=\"delete\" title=\"$lang_33\" /></a></td><td>&nbsp; </td></tr>\n";
			}
			if ($product[2]!='0.01') {
				$amount=$amount+str_replace(',','',$product[2]);
			} else {
				$amount=$amount+str_replace(',','',$paywyw_value);
			}
		}
		$amount=number_format(floatval($amount),2,'.',',');
		if ($amount!='0.00') {
			echo "<tr><td>&nbsp;</td><td>&nbsp;</td><td style=\"text-align: right;\">+ ___________ </td><td>&nbsp;</td><td>&nbsp;</td></tr><tr><td colspan=\"5\">&nbsp;</td></tr>\n";
			echo "<tr><td>&nbsp;</td><td style=\"text-align: right;font-weight : bold;\">$lang_34</td><td style=\"text-align: right;font-weight : bold;\">$currency $amount</td><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
		} else {
			echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		}
		if ($maxorder!='')
			echo "<tr><td colspan=\"5\">&nbsp;</td></tr><tr><td colspan=\"5\" style=\"font-weight : bold;color : $linkcolor;text-align: center;\">$maxorder</td></tr><tr><td colspan=\"5\">&nbsp;</td></tr><tr><td colspan=\"5\" style=\"text-align : center;\">$lang_35</td></tr><tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		if ($freemessage)
			echo "<tr><td colspan=\"5\">&nbsp;</td></tr><tr><td colspan=\"5\" style=\"font-weight : bold;color : $linkcolor;text-align: center;\">$lang_82</td></tr>\n";
                if ($couponerror!='')
                	echo "<tr><td colspan=\"5\">&nbsp;</td></tr><tr><td colspan=\"5\" style=\"font-weight : bold;color : $linkcolor;text-align: center;\">$couponerror</td></tr>\n";
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr>\n";
		echo "<tr><td>&nbsp;</td><td colspan=\"4\" style=\"text-align: left;font-weight : bold;\">$lang_06</td></tr>\n";
		echo "<tr><td colspan=\"5\">\n";
		echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
		echo "<tr><td style=\"width : 50%;\">&nbsp;</td><td style=\"width : 50%;\">&nbsp;</td></tr>\n";
		if (floatval($amount)<0) {
			echo "<tr><td colspan=\"2\" style=\"text-align : center;\">$lang_88</td></tr>\n";
		} else {
			echo "<tr><td style=\"text-align: right;\" nowrap=\"nowrap\">$lang_10 </td><td style=\"text-align: left;\"><input type=\"text\" name=\"email1\" size=\"20\" class=\"input\" onfocus=\"clearform();\" /></td></tr>\n";	
			echo "<tr><td style=\"text-align: right;\" nowrap=\"nowrap\">$lang_36 </td><td style=\"text-align: left;\"><input type=\"text\" name=\"email2\" size=\"20\" class=\"input\" onfocus=\"clearform();\" /></td></tr>\n";					
		}
		if ($paypal || floatval($amount)==0) {
			echo "<tr><td colspan=\"2\"><div id=\"countrydiv\" style=\"display: none\"><table class=\"contenttable\" style=\"width : 100%;\"><tr><td colspan=\"2\">&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-style : italic;text-align : center;\">$lang_141</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>\n";
			echo "<tr><td colspan=\"2\" style=\"text-align : center;\"><select name=\"country\" onfocus=\"clearform();\" class=\"input\" /><option value=\"--\">--</option>\n";
			foreach($countries as $key => $value) {
				echo "<option value=\"$key\">$value</option>";
			}
			echo "</select></td></tr></table></div></td></tr>\n";
		} else {
			echo "<tr><td style=\"text-align: right;\" nowrap=\"nowrap\">$lang_142</td><td style=\"text-align: left;\"><select name=\"country\" onfocus=\"clearform();\" class=\"input\" /><option value=\"--\">--</option>\n";
			foreach($countries as $key => $value) {
				echo "<option value=\"$key\">$value</option>";
			}
			echo "</select></td></tr>\n";
		}
		echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
		$paymentoptions='';
		if ($paypal)
			$paymentoptions.="<img src=\"shopgfx/buynow.gif\" style=\"width : 62px;height : 31px;border : 0px;\" alt=\"buy now\" title=\"$lang_05\" onclick=\"document.forms[0].paymentoption.value='paypal';Collapse('countrydiv');validateform();\" onmouseover=\"this.style.cursor='pointer'\" /> ";
		if ($bips)
			$paymentoptions.=' '.$lang_140 . "<img src=\"shopgfx/bips.png\" style=\"width : 153px;height : 32px;border : 0px;\" alt=\"buy now\" title=\"$lang_05\" onclick=\"document.forms[0].paymentoption.value='bips';Expand('countrydiv');validateform();\" onmouseover=\"this.style.cursor='pointer'\" /> ";
		if ($moneybookers)
			$paymentoptions.=' '.$lang_140 . " <img src=\"shopgfx/mb.png\" style=\"width : 62px;height : 41px;border : 0px;\" alt=\"buy now\" title=\"$lang_05\" onclick=\"document.forms[0].paymentoption.value='mb';Expand('countrydiv');validateform();\" onmouseover=\"this.style.cursor='pointer'\" />";
		if ($authorize)
			$paymentoptions.=' '.$lang_140 . " <img src=\"shopgfx/an.png\" style=\"width : 135px;height : 34px;border : 0px;\" alt=\"buy now\" title=\"$lang_05\" onclick=\"document.forms[0].paymentoption.value='an';Expand('countrydiv');validateform();\" onmouseover=\"this.style.cursor='pointer'\" />";			
		if ($bank)	
			$paymentoptions.=' '.$lang_140 . " <img src=\"shopgfx/bank.png\" style=\"width : 58px;height : 38px;border : 0px;\" alt=\"buy now\" title=\"$lang_05\" onclick=\"document.forms[0].paymentoption.value='bank';Expand('countrydiv');validateform();\" onmouseover=\"this.style.cursor='pointer'\" />";
		$paymentoptions=trim($paymentoptions,' '.$lang_140) . "<input type=\"hidden\" name=\"paymentoption\" value=\"\" />";
		if ($amount!='0.00' && floatval($amount)>0) {
                        echo "<tr><td colspan=\"2\" style=\"text-align : center;\">$paymentoptions</td></tr>\n";
		} else if ($amount=='0.00') {
                        echo "<tr><td colspan=\"2\" style=\"text-align : center;\"><input type=\"hidden\" name=\"country\" value=\"not_required\" /><input type=\"hidden\" name=\"paymentoption\" value=\"free\" /><input type=\"hidden\" name=\"free\" value=\"true\" /><input type=\"button\" value=\"$lang_81\" class=\"button\" onclick=\"validateform();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
		} else {
			echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
		}
		echo "</table></td></tr>\n";
		$replace_paypal='';
		if ($paypal)
			$replace_paypal.='PayPal';
		if ($bips)
			$replace_paypal.=' '.$lang_140.' Bitcoin';			
		if ($moneybookers)
			$replace_paypal.=' '.$lang_140.' Moneybookers';
		if ($authorize)
			$replace_paypal.=' '.$lang_140.' Authorize.net';
		$replace_paypal=trim($replace_paypal,' '.$lang_140.' ');
                if (count($_SESSION['cart'])>1 && floatval($amount)>0) {
			$aidcode='';
			if (isset($_COOKIE['digitalshopaid'])) {
				$aidcode='A'.$_COOKIE['digitalshopaid'].'-';
			} else if (isset($_SESSION['digitalshopaid'])) {
				$aidcode='A'.$_SESSION['digitalshopaid'].'-';
			}	
			$lang_68=str_replace('PayPal',$replace_paypal,$lang_68);
			echo "<tr><td colspan=\"5\">&nbsp;</td></tr><tr><td>&nbsp;</td><td colspan=\"3\" style=\"text-align: left;font-size : 10px;\">$lang_68 <br /><span style=\"font-weight : bold;\">#DS" . $aidcode . $ordercode . "</span></td><td>&nbsp;</td></tr>\n";
                }
		$lang_35=str_replace('PayPal',$replace_paypal,$lang_35);
		if ($bank) {$lang_35=$lang_35."<em> $lang_162</em>";}
		if (!$paypal && !$moneybookers && !$authorize) {$lang_35=$lang_162;}
		if ($maxorder=='' && floatval($amount)>0)
			echo "<tr><td colspan=\"5\">&nbsp;</td></tr><tr><td style=\"text-align: right;vertical-align : text-top;\"><img src=\"shopgfx/infotag.png\" style=\"width : " . min($maintablemargin,20) . "px;height : " . min($maintablemargin,20) . "px;border : 0px;\" alt=\"Info: \" /></td><td colspan=\"3\" style=\"font-size : 10px;vertical-align : top;text-align : left;\"> $lang_35</td><td>&nbsp;</td></tr>\n";
		echo "</table>\n";
		foreach($_SESSION['cart'] as $product) {
			if (preg_match("/.mp3/i", $product[1])) {
				echo "<script type=\"text/javascript\" src=\"inc/soundmanager2.js\"></script>\n";
				echo "<script type=\"text/javascript\" src=\"inc/mp3-player-button.js\"></script>\n";
				echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"inc/mp3-player-button.css\" />\n";
				echo "<script type=\"text/javascript\">\n";
				echo "soundManager.url = 'inc/';\n";
				echo "</script>\n";			
				break;
			}
		}
	} else {
		echo "<tr><td colspan=\"5\">&nbsp; </td></tr><tr><td colspan=\"5\" style=\"font-weight : bold;text-align: center;\">$lang_37</td></tr></table>\n";
	}
	// Return button 
	if (!$paywyw) {
	echo "<table style=\"width : 100%;\">\n";
	echo "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
	echo "<tr><td style=\"text-align: left;\"><input type=\"button\" value=\"$lang_38\" class=\"button\" onclick=\"location.href=('digitalshop.php?category=" . $_SESSION['category'] ."');\" onmouseover=\"this.style.cursor='pointer'\" /></td>\n";
	if ($allowcoupon  && !isset($_SESSION['coupon']) && count($_SESSION['cart'])>0)
		echo "<td style=\"text-align: right;\"><input type=\"text\" name=\"coupon\" size=\"20\" style=\"text-align: center;\" class=\"input\" value=\"$lang_89\" onclick=\"if(this.value=='$lang_89')this.value='';\" /> <input type=\"hidden\" name=\"newcoupon\" value=\"0\" /><input type=\"button\" value=\"$lang_147\" class=\"button\" onclick=\"document.forms[0].newcoupon.value='1';document.forms[0].submit();\" onmouseover=\"this.style.cursor='pointer'\" /></td>\n";
	else
		echo "<td>&nbsp;</td>";
	echo "</tr></table>\n";
	}
	
} else if (!isset($_REQUEST['free']) && isset($_REQUEST['paymentoption'])) {		

	// Insert the throbber code
	if (!$bips_payment) {
		echo "<script type=\"text/javascript\" src=\"inc/swfobject.js\"></script>\n";
		echo "<script type=\"text/javascript\">\n";
		if ($shopcolor=='transparent')
			echo " swfobject.embedSWF(\"shopgfx/throbber.swf\",\"alternativecontent\",\"100\",\"100\",\"6.0.65\",\"inc/expressInstall.swf\",{},{},{});\n";
		else
			echo " swfobject.embedSWF(\"shopgfx/throbber.swf\",\"alternativecontent\",\"100\",\"100\",\"6.0.65\",\"inc/expressInstall.swf\",{},{BGCOLOR:\"$shopcolor\"},{});\n";
		echo "</script>\n";
	}
	
	if ($_REQUEST['paymentoption']=='paypal') {
		// Post order to PayPal
		$image=$shopurl.'/shopgfx/logo.gif';	
		if(!$iframe) {
			$accepted=$shopurl.'/thankyou.php';
			$cancelled=$shopurl.'/cancel.php';
		} else {
			$cancelled=$cancel_webpage;
			$accepted=$thankyou_webpage;
		}
		$aid='';
		if (isset($_COOKIE['digitalshopaid'])) {
			$aid='A'.$_COOKIE['digitalshopaid'].'-';
		} else if (isset($_SESSION['digitalshopaid'])) {
			$aid='A'.$_SESSION['digitalshopaid'].'-';
		}
		$ordercode=$aid.$ordercode;
		$ordercode='DS'.$ordercode;
		if ($ipn_url=='') {$paid=$shopurl.'/ipn.php';} else {$paid=$ipn_url;}
		$email=$_REQUEST['email1'];	
		echo "<input type=\"hidden\" name=\"cmd\" value=\"_xclick\" />\n";
		echo "<input type=\"hidden\" name=\"business\" value=\"$pp_business\" />\n";
		echo "<input type=\"hidden\" name=\"return\" value=\"$accepted\" />\n";
		echo "<input type=\"hidden\" name=\"cbt\" value=\"$lang_95\" />\n";
		echo "<input type=\"hidden\" name=\"lc\" value=\"$pp_lc\" />\n";
		echo "<input type=\"hidden\" name=\"cancel_return\" value=\"$cancelled\" />\n";
		if ($enable_notify_url) {echo "<input type=\"hidden\" name=\"notify_url\" value=\"$paid\" />\n";}
		// Sum the price of all products in the cart
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			if ($product[2]!='0.01') {	
				$amount=$amount+floatval(str_replace(',','',$product[2]));
			} else {
				// Paywyw amount
				foreach($_SESSION['paywywitems'] as $paywywproduct) {
					if ($paywywproduct[0]==$product[0])
						$amount=$amount+floatval(str_replace(',','',$paywywproduct[1]));
				}
			}
		}
		echo "<input type=\"hidden\" name=\"amount\" value=\"$amount\" />\n";
		echo "<input type=\"hidden\" name=\"quantity\" value=\"1\" />\n";
		if (isset($_SESSION['coupon'])) {$adjust=-1;} else {$adjust=0;}
		if ((count($_SESSION['cart'])+$adjust)==1) {
			$product=$_SESSION['cart'][0];
			echo "<input type=\"hidden\" name=\"item_name\" value=\"" .  strip_tags($product[1]) . "\" />\n";
		} else {
			echo "<input type=\"hidden\" name=\"item_name\" value=\"$lang_39 ". (count($_SESSION['cart'])+$adjust) ." $lang_40 $shopname\" />\n";
		}
		echo "<input type=\"hidden\" name=\"item_number\" value=\"$ordercode\" />\n";
		echo "<input type=\"hidden\" name=\"image_url\" value=\"$image\" />\n";	
		echo "<input type=\"hidden\" name=\"no_note\" value=\"1\" />\n";
		echo "<input type=\"hidden\" name=\"no_shipping\" value=\"1\" />\n";	
		echo "<input type=\"hidden\" name=\"currency_code\" value=\"$currency\" />\n";
		// Prevent redirect to local language
		echo "<input type=\"hidden\" name=\"lc\" value=\"US\" />\n";
		echo "<input type=\"hidden\" name=\"payer_email\" value=\"$email\" />\n";
		echo "<table class=\"contenttable\" style=\"width : 100%;height : 200px;\"><tr><td style=\"vertical-align : middle;text-align: center;\" />\n";
		echo "<div id=\"alternativecontent\" style=\"width: 100%;text-align: center;\"><img src=\"3dgfx/throbber_blue.gif\" alt=\"throbber\" style=\"border : 0px;\" /></div>\n";
		echo "</td></tr><tr><td style=\"text-align: center;\">$lang_41</td></tr><tr><td style=\"text-align: center;\">$lang_42<br /><a href=\"#\" onclick=\"document.forms[0].submit();\">$lang_72</a></td></tr></table>\n";
	}

	if ($_REQUEST['paymentoption']=='bips') {
		// Post order to BIPS
		$aid='';
		if (isset($_COOKIE['digitalshopaid'])) {
			$aid='A'.$_COOKIE['digitalshopaid'].'-';
		} else if (isset($_SESSION['digitalshopaid'])) {
			$aid='A'.$_SESSION['digitalshopaid'].'-';
		}
		$ordercode=$aid.$ordercode;
		$ordercode='DS'.$ordercode;
		$email=$_REQUEST['email1'];		
		// Sum the price of all products in the cart
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			if ($product[2]!='0.01') {	
				$amount=$amount+floatval(str_replace(',','',$product[2]));
			} else {
				// Paywyw amount
				foreach($_SESSION['paywywitems'] as $paywywproduct) {
					if ($paywywproduct[0]==$product[0])
						$amount=$amount+floatval(str_replace(',','',$paywywproduct[1]));
				}
			}
		}		
		$tax=0;
		$taxable = false;
		$country='--';
		if (isset($_REQUEST['country'])) {
			// Calculate taxes
			$country=$_REQUEST['country'];
			if (array_key_exists($country,$add_taxes)) {
				$tax=($add_taxes[$country]/100)*$amount;
				$taxable = true;
			} 
		}
		$totamount=number_format(floatval($amount+$tax),2,'.',',');
		$amount=number_format(floatval($amount),2,'.',',');
		$tax=number_format(floatval($tax),2,'.',',');
		$product_desc = "";
		if (isset($_SESSION['coupon'])) {$adjust=-1;} else {$adjust=0;}
		if ((count($_SESSION['cart'])+$adjust)==1) {
			$product=$_SESSION['cart'][0];
			$product_desc = urlencode(strip_tags($product[1]));
		} else {
			$product_desc = urlencode("$lang_39 ". (count($_SESSION['cart'])+$adjust) . " $lang_40 $shopname");
		}
		$custom = array("email" => $email, "ordercode" => $ordercode, "country" => $country, "tax" => $tax);
		$ch = curl_init();
		curl_setopt_array($ch, array(
			CURLOPT_URL => 'https://bips.me/api/v1/invoice',
			CURLOPT_USERPWD => $bips_api,
			CURLOPT_POSTFIELDS => 'price=' . $totamount . "&currency=$currency&item=$product_desc&custom=" . json_encode(array_merge($custom)),
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_SSL_VERIFYHOST => 0,
			CURLOPT_SSL_VERIFYPEER => 0,
			CURLOPT_HTTPAUTH => CURLAUTH_BASIC));
		$redirect = curl_exec($ch);
		if (strlen($redirect) > 0) {
			print '<meta http-equiv="refresh" content="2;url=' . $redirect . '">';
			print 'Redirecting to ' . $redirect;
		}
		else {
			print 'We did not receive a redirect URL from BIPS, please report this. ' . $redirect;
			exit;
		}
		curl_close($ch);
		exit;
	}
	
	if ($_REQUEST['paymentoption']=='mb') {
		// Post order to Moneybookers
		if(!$iframe) {
			$accepted=$shopurl.'/thankyou.php';
			$cancelled=$shopurl.'/cancel.php';
		} else {
			$cancelled=$cancel_webpage;
			$accepted=$thankyou_webpage;
		}
		$aid='';
		if (isset($_COOKIE['digitalshopaid'])) {
			$aid='A'.$_COOKIE['digitalshopaid'].'-';
		} else if (isset($_SESSION['digitalshopaid'])) {
			$aid='A'.$_SESSION['digitalshopaid'].'-';
		}
		$ordercode=$aid.$ordercode;
		$ordercode='DS'.$ordercode;
		$email=$_REQUEST['email1'];
		echo "<input type=\"hidden\" name=\"pay_to_email\" value=\"$mb_business\" />\n";
		echo "<input type=\"hidden\" name=\"pay_from_email\" value=\"$email\" />\n";
		echo "<input type=\"hidden\" name=\"recipient_description\" value=\"$shopname\" />\n";
		echo "<input type=\"hidden\" name=\"return_url\" value=\"$accepted\" />\n";
		echo "<input type=\"hidden\" name=\"cancel_url\" value=\"$cancelled\" />\n";
		echo "<input type=\"hidden\" name=\"status_url\" value=\"$shopurl/mb_ipn.php\" />\n";
		echo "<input type=\"hidden\" name=\"language\" value=\"EN\" />\n";
		echo "<input type=\"hidden\" name=\"confirmation_note\" value=\"$lang_51 $lang_52\" />\n";
		// Sum the price of all products in the cart
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			if ($product[2]!='0.01') {	
				$amount=$amount+floatval(str_replace(',','',$product[2]));
			} else {
				// Paywyw amount
				foreach($_SESSION['paywywitems'] as $paywywproduct) {
					if ($paywywproduct[0]==$product[0])
						$amount=$amount+floatval(str_replace(',','',$paywywproduct[1]));
				}
			}
		}	
		$tax=0;
		$country='--';
		if (isset($_REQUEST['country'])) {
			// Calculate taxes
			$country=$_REQUEST['country'];
			if (array_key_exists($country,$add_taxes)) {$tax=($add_taxes[$country]/100)*$amount;} 
		}
		$iso=array(
			"AF"=>"AFG",
			"AL"=>"ALB",
			"DZ"=>"DZA",
			"AS"=>"ASM",
			"AD"=>"AND",
			"AO"=>"AGO",
			"AI"=>"AIA",
			"AG"=>"ATG",
			"AR"=>"ARG",
			"AM"=>"ARM",
			"AW"=>"ABW",
			"AU"=>"AUS",
			"AT"=>"AUT",
			"AZ"=>"AZE",
			"BS"=>"BHS",
			"BH"=>"BHR",
			"BD"=>"BGD",
			"BB"=>"BRB",
			"BY"=>"BLR",
			"BE"=>"BEL",
			"BZ"=>"BLZ",
			"BJ"=>"BEN",
			"BM"=>"BMU",
			"BT"=>"BTN",
			"BO"=>"BOL",
			"BA"=>"BIH",
			"BW"=>"BWA",			
			"BR"=>"BRA",
			"BN"=>"BRN",
			"BG"=>"BGR",
			"BF"=>"BFA",
			"BI"=>"BDI",
			"KH"=>"KHM",
			"CM"=>"CMR",
			"CA"=>"CAN",
			"CV"=>"CPV",
			"KY"=>"CYM",
			"CF"=>"CAF",
			"TD"=>"TCD",
			"CL"=>"CHL",
			"CN"=>"CHN",
			"CO"=>"COL",
			"KM"=>"COM",
			"CG"=>"COG",
			"CD"=>"COD",
			"CK"=>"COK",
			"CR"=>"CRI",
			"CI"=>"CIV",
			"HR"=>"HRV",
			"CU"=>"CUB",
			"CY"=>"CYP",
			"CZ"=>"CZE",
			"DK"=>"DNK",
			"DJ"=>"DJI",
			"DM"=>"DMA",
			"DO"=>"DOM",
			"EC"=>"ECU",
			"EG"=>"EGY",
			"SV"=>"SLV",
			"GQ"=>"GNQ",
			"ER"=>"ERI",
			"EE"=>"EST",
			"ET"=>"ETH",
			"FK"=>"FLK",
			"FO"=>"FRO",
			"FJ"=>"FJI",
			"FI"=>"FIN",
			"FR"=>"FRA",
			"GF"=>"GUF",
			"PF"=>"PYF",
			"GA"=>"GAB",
			"GM"=>"GMB",
			"GE"=>"GEO",
			"DE"=>"DEU",
			"GH"=>"GHA",
			"GI"=>"GIB",
			"GR"=>"GRC",
			"GL"=>"GRL",
			"GD"=>"GRD",
			"GP"=>"GLP",
			"GU"=>"GUM",
			"GT"=>"GTM",
			"GN"=>"GIN",
			"GW"=>"GNB",
			"GY"=>"GUY",
			"HT"=>"HTI",
			"HM"=>"AND",
			"VA"=>"VAT",
			"HN"=>"HND",
			"HK"=>"HKG",
			"HU"=>"HUN",
			"IS"=>"ISL",
			"IN"=>"IND",
			"ID"=>"IDN",
			"IR"=>"IRN",
			"IQ"=>"IRQ",
			"IE"=>"IRL",
			"IL"=>"ISR",
			"IT"=>"ITA",
			"JM"=>"JAM",
			"JP"=>"JPN",
			"JO"=>"JOR",
			"KZ"=>"KAZ",
			"KE"=>"KEN",
			"KI"=>"KIR",
			"KP"=>"PRK",
			"KR"=>"KOR",
			"KW"=>"KWT",
			"KG"=>"KGZ",
			"LA"=>"LAO",
			"LV"=>"LVA",
			"LB"=>"LBN",
			"LS"=>"LSO",
			"LR"=>"LBR",
			"LY"=>"LBY",
			"LI"=>"LIE",
			"LT"=>"LTU",
			"LU"=>"LUX",
			"MO"=>"MAC",
			"MK"=>"MKD",
			"MG"=>"MDG",
			"MW"=>"MWI",
			"MY"=>"MYS",
			"MV"=>"MDV",
			"ML"=>"MLI",
			"MT"=>"MLT",
			"MH"=>"MHL",
			"MQ"=>"MTQ",
			"MR"=>"MRT",
			"MU"=>"MUS",
			"MX"=>"MEX",
			"FM"=>"FSM",
			"MD"=>"MDA",
			"MC"=>"MCO",
			"MN"=>"MNG",
			"MS"=>"MSR",
			"MA"=>"MAR",
			"MZ"=>"MOZ",
			"MM"=>"MMR",
			"NA"=>"NAM",
			"NR"=>"NRU",
			"NP"=>"NPL",
			"NL"=>"NLD",
			"AN"=>"ANT",
			"NC"=>"NCL",
			"NZ"=>"NZL",
			"NI"=>"NIC",
			"NE"=>"NER",
			"NG"=>"NGA",
			"NU"=>"NIU",
			"NF"=>"NFK",
			"MP"=>"MNP",
			"NO"=>"NOR",
			"OM"=>"OMN",
			"PK"=>"PAK",
			"PW"=>"PLW",
			"PA"=>"PAN",
			"PG"=>"PNG",
			"PY"=>"PRY",
			"PE"=>"PER",
			"PH"=>"PHL",
			"PN"=>"PCN",
			"PL"=>"POL",
			"PT"=>"PRT",
			"PR"=>"PRI",
			"QA"=>"QAT",
			"RE"=>"REU",
			"RO"=>"ROM",
			"RU"=>"RUS",
			"RW"=>"RWA",
			"SH"=>"SHN",
			"KN"=>"KNA",
			"LC"=>"LCA",
			"PM"=>"SPM",
			"VC"=>"VCT",
			"WS"=>"WSM",
			"SM"=>"SMR",
			"ST"=>"STP",
			"SA"=>"SAU",
			"SN"=>"SEN",
			"SC"=>"SYC",
			"SL"=>"SLE",
			"SG"=>"SGP",
			"SK"=>"SVK",
			"SI"=>"SVN",
			"SB"=>"SLB",
			"SO"=>"SOM",
			"ZA"=>"ZAF",
			"ES"=>"ESP",
			"LK"=>"LKA",
			"SD"=>"SDN",
			"SR"=>"SUR",
			"SJ"=>"SJM",
			"SZ"=>"SWZ",
			"SE"=>"SWE",
			"CH"=>"CHE",
			"SY"=>"SYR",
			"TW"=>"TWN",
			"TJ"=>"TJK",
			"TZ"=>"TZA",
			"TH"=>"THA",
			"TG"=>"TGO",
			"TK"=>"TKL",
			"TO"=>"TON",
			"TT"=>"TTO",
			"TN"=>"TUN",
			"TR"=>"TUR",
			"TM"=>"TKM",
			"TC"=>"TCA",
			"TV"=>"TUV",
			"UG"=>"UGA",
			"UA"=>"UKR",
			"AE"=>"ARE",
			"GB"=>"GBR",
			"US"=>"USA",
			"UY"=>"URY",
			"UZ"=>"UZB",
			"VU"=>"VUT",
			"VE"=>"VEN",
			"VN"=>"VNM",
			"VG"=>"VGB",
			"VI"=>"VIR",
			"WF"=>"WLF",
			"EH"=>"ESH",
			"YE"=>"YEM",
			"ZM"=>"ZMB",
			"ZW"=>"ZWE"
		);
		if (array_key_exists($country,$iso)) {
			echo "<input type=\"hidden\" name=\"country\" value=\"" . $iso[$country] . "\" />\n";
		}
		$totamount=$amount+$tax;
		$amount=number_format(floatval($amount),2,'.',',');
		$tax=number_format(floatval($tax),2,'.',',');
		echo "<input type=\"hidden\" name=\"amount\" value=\"$totamount\" />\n";
		echo "<input type=\"hidden\" name=\"currency\" value=\"$currency\" />\n";
		echo "<input type=\"hidden\" name=\"amount2\" value=\"$amount\" />\n";
		echo "<input type=\"hidden\" name=\"amount2_description\" value=\"$lang_34\" />\n";
		if ($tax>0) {
			echo "<input type=\"hidden\" name=\"amount3\" value=\"$tax\" />\n";
			echo "<input type=\"hidden\" name=\"amount3_description\" value=\"$lang_84\" />\n";
		
		}
		echo "<input type=\"hidden\" name=\"detail1_description\" value=\"$lang_02\" />\n";
		if (isset($_SESSION['coupon'])) {$adjust=-1;} else {$adjust=0;}
		if ((count($_SESSION['cart'])+$adjust)==1) {
			$product=$_SESSION['cart'][0];
			echo "<input type=\"hidden\" name=\"detail1_text\" value=\"" .  strip_tags($product[1]) . "\" />\n";
		} else {
			echo "<input type=\"hidden\" name=\"detail1_text\" value=\"$lang_39 ". (count($_SESSION['cart'])+$adjust) ." $lang_40 $shopname (#$ordercode)\" />\n";
		}
		echo "<input type=\"hidden\" name=\"merchant_fields\" value=\"item_number,residence_country\" />\n";	
		echo "<input type=\"hidden\" name=\"item_number\" value=\"$ordercode\" />\n";
		echo "<input type=\"hidden\" name=\"residence_country\" value=\"$country\" />\n";
		echo "<table class=\"contenttable\"  style=\"width : 100%;height : 200px;\"><tr><td style=\"vertical-align : middle;text-align: center;\" />\n";
		echo "<div id=\"alternativecontent\" style=\"width: 100%;text-align: center;\"><img src=\"3dgfx/throbber_blue.gif\" alt=\"throbber\" style=\"border : 0px;\" /></div>\n";
		$lang_42=str_replace('PayPal','MoneyBookers',$lang_42);
		echo "</td></tr><tr><td style=\"text-align: center;\">$lang_41</td></tr><tr><td style=\"text-align: center;\">$lang_42<br /><a href=\"#\" onclick=\"document.forms[0].submit();\">$lang_72</a></td></tr></table>\n";
	}	
	
	if ($_REQUEST['paymentoption']=='an') {
		// Post order to Authorize.net
		$aid='';
		if (isset($_COOKIE['digitalshopaid'])) {
			$aid='A'.$_COOKIE['digitalshopaid'].'-';
		} else if (isset($_SESSION['digitalshopaid'])) {
			$aid='A'.$_SESSION['digitalshopaid'].'-';
		}
		$ordercode=$aid.$ordercode;
		$ordercode='DS'.$ordercode;
		$email=$_REQUEST['email1'];
		$invoice = date(YmdHis);
		$timestamp = time();
		$sequence = rand(1,1000).$timestamp;		
		// Sum the price of all products in the cart
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			if ($product[2]!='0.01') {	
				$amount=$amount+floatval(str_replace(',','',$product[2]));
			} else {
				// Paywyw amount
				foreach($_SESSION['paywywitems'] as $paywywproduct) {
					if ($paywywproduct[0]==$product[0])
						$amount=$amount+floatval(str_replace(',','',$paywywproduct[1]));
				}
			}
		}		
		$tax=0;
		$taxable = false;
		$country='--';
		if (isset($_REQUEST['country'])) {
			// Calculate taxes
			$country=$_REQUEST['country'];
			if (array_key_exists($country,$add_taxes)) {
				$tax=($add_taxes[$country]/100)*$amount;
				$taxable = true;
			} 
		}
		$totamount=number_format(floatval($amount+$tax),2,'.',',');
		$amount=number_format(floatval($amount),2,'.',',');
		$tax=number_format(floatval($tax),2,'.',',');
		if(function_exists('hash_hmac')) {
			$fingerprint = hash_hmac("md5", $an_loginid . "^" . $sequence . "^" . $timestamp . "^" . $totamount . "^", $an_key); 
		} else { 
			$fingerprint = bin2hex(mhash(MHASH_MD5, $an_loginid . "^" . $sequence . "^" . $timestamp . "^" . $totamount . "^", $an_key)); 
		}
		echo "<input type='hidden' name=\"x_login\" value=\"$an_loginid\" />\n";
		echo "<input type='hidden' name=\"x_fp_hash\" value=\"$fingerprint\" />\n";		
		echo "<input type='hidden' name=\"x_amount\" value=\"$totamount\" />\n";		
		echo "<input type='hidden' name=\"x_fp_timestamp\" value=\"$timestamp\" />\n";
		echo "<input type='hidden' name=\"x_fp_sequence\" value=\"$sequence\" />\n";
		echo "<input type='hidden' name=\"x_version\" value=\"3.1\">\n";
		echo "<input type='hidden' name=\"x_show_form\" value=\"payment_form\">\n";
		echo "<input type='hidden' name=\"x_test_request\" value=\"false\" />\n";
		echo "<input type='hidden' name=\"x_method\" value=\"cc\">\n";
		echo "<input type=\"hidden\" name=\"x_relay_response\" value=\"true\" />\n";
		echo "<input type=\"hidden\" name=\"x_relay_url\" value=\"$shopurl/an_ipn.php\" />\n";
		echo "<input type=\"hidden\" name=\"x_email\" value=\"$email\" />\n";
		echo "<input type=\"hidden\" name=\"x_country_iso\" value=\"$country\" />\n";
		if (array_key_exists($country,$countries)) {$countryfull=$countries[$country];} else {$countryfull=$country;}
		echo "<input type=\"hidden\" name=\"x_country\" value=\"$countryfull\" />\n";	
		echo "<input type=\"hidden\" name=\"x_item_number\" value=\"$ordercode\" />\n";
		echo "<input type=\"hidden\" name=\"x_invoice_num\" value=\"$sequence\" />\n";
		if ($taxable) {
			echo "<input type='hidden' name=\"x_tax_exempt\" value=\"false\" />\n";
			echo "<input type='hidden' name=\"x_tax\" value=\"Tax1<|>$add_taxes[$country]%<|>$tax\" />\n";
		} else {
			echo "<input type='hidden' name=\"x_tax_exempt\" value=\"true\" />\n";
		}
		echo "<input type=\"hidden\" name=\"x_description\" value=\"$lang_50 $shopname\" />\n";
		if (isset($_SESSION['coupon'])) {$adjust=-1;} else {$adjust=0;}
		if ((count($_SESSION['cart'])+$adjust)==1) {
			$product=$_SESSION['cart'][0];
			echo "<input type=\"hidden\" name=\"x_line_item\" value=\"1<|>$lang_07<|>" .  strip_tags($product[1]) . "<|>1<|>$amount<|>$taxable\" />\n";
		} else {
			echo "<input type=\"hidden\" name=\"x_line_item\" value=\"1<|>$lang_07<|>$lang_39 ". (count($_SESSION['cart'])+$adjust) ." $lang_40 $shopname (#$ordercode)<|>1<|>$amount<|>$taxable\" />\n";
		}
		echo "<table class=\"contenttable\"  style=\"width : 100%;height : 200px;\"><tr><td style=\"vertical-align : middle;text-align: center;\" />\n";
		echo "<div id=\"alternativecontent\" style=\"width: 100%;text-align: center;\"><img src=\"3dgfx/throbber_blue.gif\" alt=\"throbber\" style=\"border : 0px;\" /></div>\n";
		$lang_42=str_replace('PayPal','Authorize.net',$lang_42);
		echo "</td></tr><tr><td style=\"text-align: center;\">$lang_41</td></tr><tr><td style=\"text-align: center;\">$lang_42<br /><a href=\"#\" onclick=\"document.forms[0].submit();\">$lang_72</a></td></tr></table>\n";	
	}	
	
	if ($_REQUEST['paymentoption']=='bank') {
		// Send invoice for payment by bank transfer
		$email=$_REQUEST['email1'];
		$aid='';
		if (isset($_COOKIE['digitalshopaid'])) {
			$aid='A'.$_COOKIE['digitalshopaid'].'-';
		} else if (isset($_SESSION['digitalshopaid'])) {
			$aid='A'.$_SESSION['digitalshopaid'].'-';
		}
		$ordercode=$aid.$ordercode;
		$ordercode='DS'.$ordercode;
		$invoice=rand(100,999).time();
		$couponvalue=0;
		$coupon='';
		$amount=0;
		foreach($_SESSION['cart'] as $product) {
			$paywyw_value=0;
			if ($product[2]=='0.01') {
				// Paywyw amount
				foreach($_SESSION['paywywitems'] as $paywywproduct) {
					if ($paywywproduct[0]==$product[0])
						$paywyw_value=number_format(floatval($paywywproduct[1]),2,'.',',');
				}
			}
			if ($product[2]!='0.01') {
				$amount=$amount+str_replace(',','',$product[2]);
			} else {
				$amount=$amount+str_replace(',','',$paywyw_value);
			}
			if (isset($_SESSION['coupon'])) {
				if ($_SESSION['coupon']==$product[0]) {
					$couponvalue=floatval($product[2]);
					$coupon=$product[1];
				}
			}
		}
		// Taxes
		$tax=0;
		$country='--';
		if (isset($_REQUEST['country'])) {
			// Calculate taxes
			$country=$_REQUEST['country'];
			if (array_key_exists($country,$add_taxes)) {
				$tax=($add_taxes[$country]/100)*$amount;
			} 
		}
		$totamount=$amount+$tax;
		if (array_key_exists($country,$countries)) {$countryinvoice=$countries[$country];} else {$countryinvoice='';}
		// Return button 
		echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
		echo "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
		$query="INSERT INTO digitalshoptransfer (email, ordercode, invoice, country, price) VALUES ('$email', '$ordercode', '$invoice', '$country', '$totamount')";	
		if (mysql_query($query) && digitalshopmailinvoice($email,$mailfrom,$mailbcc,$invoice,$totamount,$countryinvoice,$tax,$coupon,$couponvalue)) {
			// Email send
			echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
			echo "<tr><td>&nbsp;</td></tr>\n";
			echo "<tr><td style=\"font-weight : bold;text-align : center;\">$lang_51</td></tr>\n";
			echo "<tr><td>&nbsp;</td></tr>\n";
			echo "<tr><td style=\"font-weight : bold;text-align : center;\">$lang_163</td></tr>\n";
			echo "<tr><td>&nbsp;</td></tr>\n";
			echo "<tr><td style=\"text-align : center;\">$lang_18 $bk_business</td></tr>\n";
			echo "<tr><td>&nbsp;</td></tr></table>\n";
		} else {
			// Email problem
			echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
			echo "<tr><td>&nbsp;</td></tr>\n";
			echo "<tr><td style=\"font-weight : bold;text-align : center;\">$lang_18 $bk_business</td></tr><tr><td>&nbsp;</td></tr>\n";
			echo "</table>\n";		
		}
		// Return button 
		echo "<table style=\"width : 100%;\">\n";
		echo "<tr><td>&nbsp;</td></tr>\n";
		echo "<tr><td style=\"text-align: left;\"><input type=\"button\" value=\"$lang_38\" class=\"button\" onclick=\"location.href=('digitalshop.php');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
		echo "</table>\n";
	}	
	
} else if (!$bips_payment) {

	// Free text
	echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
	echo "<tr><td>&nbsp;</td></tr>\n";
	echo "<tr><td style=\"font-weight : bold;text-align : center;\">$freemessage</td></tr><tr><td>&nbsp;</td></tr>\n";
	echo "</table>\n";

	// Return button 
	echo "<table style=\"width : 100%;\">\n";
	echo "<tr><td>&nbsp;</td></tr>\n";
	echo "<tr><td style=\"text-align: left;\"><input type=\"button\" value=\"$lang_38\" class=\"button\" onclick=\"location.href=('digitalshop.php');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
	echo "</table>\n";
	
}

// Close form
if (!$bips_payment)
	echo "</form>\n";

// ******************
// End main content

// Insert the page footer
if (!$bips_payment)
	require_once('inc/footer.php');

// Functions

function createkey($fileid,$email,$txn_id,$country) {
	
	$digid=randomkey();
	$sold=time();
	$query="SELECT * FROM digitalshopkey WHERE digid = '$digid'";
	$result=mysql_query($query);
	while ($result && mysql_num_rows($result)) {
		$digid=randomkey();
		$query="SELECT * FROM digitalshopkey WHERE digid = '$digid'";
		$result=mysql_query($query);
	}
	// Store new unique key
	$query="INSERT INTO digitalshopkey (digid, email, fileid, expire, cntr, txnid, sold, country) VALUES ('$digid', '$email', '$fileid', '0', '0', '$txn_id', '$sold', '$country')";
	mysql_query($query) or die('Error, mysql key storage failed');	
	return $digid;

}

function randomkey() {
	
	$key='';
	$chars=array('1','2','3','4','5','6','7','8','9','0','a','b','c','d','e','f','g','h','i','j','k','l','m','n',
		'1','2','3','4','5','6','7','8','9','0','o','p','q','r','s','t','u','v','w','x','y','z',
		'1','2','3','4','5','6','7','8','9','0','A','B','C','D','E','F','G','H','I','J','K','L','M','N',
		'1','2','3','4','5','6','7','8','9','0','O','P','Q','R','S','T','U','V','W','X','Y','Z');
	$rand_keys=array_rand($chars,15);
	for ($c=0;$c<15;$c++) {
		if ($c==5) {$key=$key.'-';}
		if ($c==10) {$key=$key.'-';}
		$key=$key.$chars[$rand_keys[$c]];
	}
	return $key;

}

function digitalshopmailkey($mailto,$mailfrom,$mailbcc,$keys,$names,$txn_id) {
	
	global $lang_45,$lang_46,$lang_47,$lang_48,$lang_49,$lang_50,$shopname,$email_rewrite,$shopcolor,$pagecolor,$textcolor,$shopurl,$show_header,$headeremailimage,$download_webpage,$iframe;
	if ($email_rewrite) {
		$mailto=substr($mailto,0,strpos($mailto,'@')) . " <". $mailto . ">";
		$mailfrom=substr($mailfrom,0,strpos($mailfrom,'@')) . " <$mailfrom>";
		if ($mailbcc!='') {$mailbcc=substr($mailbcc,0,strpos($mailbcc,'@')) . " <$mailbcc>";}
	}
	if (!$iframe) {
		$link=$shopurl . '/download.php';
	} else {
		$link=$download_webpage;
		$shopcolor='#FAFAFA';		
	}
	$linkimage=$shopurl . '/shopgfx';
	$headers="From: $mailfrom\r\n";
	$headers.="Reply-to: $mailfrom\r\n";
	if ($mailbcc!='') {$headers.="BCC: $mailbcc\r\n";}
	$bound_text=md5(uniqid(time()));
	$headers.="MIME-Version: 1.0\r\n" . "Content-Type: multipart/alternative; boundary=\"$bound_text\"\r\n";
	$message="--$bound_text\r\n"
		."Content-Type: text/plain; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."$lang_45 $txn_id\r\n"
		."$lang_46 \r\n"
		."$lang_47 $link\r\n";
		foreach($keys as $index => $key) {$message.="$lang_48 $key (". $names[$index] .")\r\n";}
		$message.="$lang_49 \r\n\r\n"
		."--$bound_text\r\n"	
		."Content-Type: text/html; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."<html><head><title></title></head><body><center>"
		."<table  border=\"0\" width=\"630\" cellpadding=\"0\" cellspacing=\"0\" style=\"max-width:630px; margin: 0 auto;\"><tr><td>"
                ."<table style=\"border : 0px;width : 100%;\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lt.gif\" >&nbsp;</td><td height=\"39px\" background=\"$linkimage/tabletop.gif\" >&nbsp;</td>"
                ."<td width=\"39px\" height=\"39px\" background=\"$linkimage/rt.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" background=\"$linkimage/tableleft.gif\" >&nbsp;</td><td style=\"background-color : $shopcolor\">";
        if ($show_header)
                $message.="<table style=\"width : 100%;\"><tr><td style=\"text-align : center;width : 100%;\"><img src=\"$linkimage/$headeremailimage\" style=\"padding-bottom : 20px;border : 0px;\" /></td></tr></table>";
         $message.="<table>"
                ."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_45 $txn_id </td></tr><tr><td>&nbsp;</td></tr>"
		."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_46 </td></tr>"
		."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_47 <a href=\"$link\">$link</a></td></tr><tr><td>&nbsp;</td></tr>"
		."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_48</td></tr><tr><td>&nbsp;</td></tr>";
	foreach ($keys as $index => $key) {
                $message.="<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\"><span style=\"font-weight : bold;\"><a href=\"${link}?downloadcode=$key\">$key</a></span><br />". $names[$index] ."</td></tr><tr><td>&nbsp;</td></tr>";
        }
	$message.="<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_49</td></tr>"
		."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;font-weight : bold;\">$shopname</td></tr><tr><td>&nbsp;</td></tr>"
                ."</table>"
                ."</td><td width=\"39px\" background=\"$linkimage/tableright.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lb.gif\" >&nbsp;</td>"
                ."<td height=\"39px\" background=\"$linkimage/tablebottom.gif\" >&nbsp;</td><td width=\"39px\" height=\"39px\" background=\"$linkimage/rb.gif\" >&nbsp;</td></tr></table>"        
                ."</td></tr></table></center></body></html>\r\n\r\n"							
		."--$bound_text--\r\n\r\n";
	return mail($mailto,"$lang_50 $shopname",wordwrap($message,70),$headers);

}

function digitalshopmailinvoice($mailto,$mailfrom,$mailbcc,$invoice,$amount,$country,$tax,$coupon,$couponvalue) {
	
	global $lang_45,$lang_46,$lang_47,$lang_48,$lang_49,$lang_50,$shopname,$email_rewrite,$shopcolor,$pagecolor,$textcolor,$shopurl,$show_header;
	global $currency,$bk_business,$location,$lang_01,$lang_03,$lang_34,$lang_83,$lang_84,$lang_85,$lang_87,$headeremailimage,$iframe;
	global $bank_1,$bank_2,$bank_3,$bank_4,$lang_162,$lang_164,$lang_52,$lang_160;
	$originaladdress=$mailto;
	if ($email_rewrite) {
		$mailto=substr($mailto,0,strpos($mailto,'@')) . " <". $mailto . ">";
		$mailfrom=substr($mailfrom,0,strpos($mailfrom,'@')) . " <$mailfrom>";
		if ($mailbcc!='') {$mailbcc=substr($mailbcc,0,strpos($mailbcc,'@')) . " <$mailbcc>";}
	}
	$linkimage=$shopurl . '/shopgfx';
	if ($iframe)
		$shopcolor='#FAFAFA';	
	$headers="From: $mailfrom\r\n";
	$headers.="Reply-to: $mailfrom\r\n";
	if ($mailbcc!='') {$headers.="BCC: $mailbcc\r\n";}
	$bound_text=md5(uniqid(time()));
	if ($tax>0) {
		$lang_84=str_replace('[tax]','',$lang_84);
	}	
	$headers.="MIME-Version: 1.0\r\n" . "Content-Type: multipart/alternative; boundary=\"$bound_text\"\r\n";
	$message="--$bound_text\r\n"
		."Content-Type: text/plain; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."$lang_83 $invoice \r\n"
		."$originaladdress \r\n"
		."$country \r\n"
		."$lang_01 $lang_03 $currency \r\n";
		// Find PWYW products
		$items=$_SESSION['cart'];
		$unset=array();
		$sum=0;$description="$lang_160: ";
		foreach($items as $key => $product) {
			if ($product[2]=='0.01') {
				$unset[]=$key;
				$description.="$product[1], ";
			} else if ($product[2]!=number_format(floatval($couponvalue),2,'.',',')){
				$sum+=floatval($product[2]);
			}
		}
		$sum+=floatval($couponvalue);		
		$description=rtrim($description, ', ');
		$pwyw=number_format(floatval($amount-$tax-$sum),2,'.',',');
		if(count($unset)==1) {
			$cart=$items[$unset[0]];
			$cart[2]=$pwyw;
			$items[$unset[0]]=$cart;
		} else if (count($unset)>1) {
			foreach($unset as $key) {
				unset($items[$key]);
			}
			$items=array_values($items);
			$items[]=array('x',$description,$pwyw);
		}
		foreach($items as $product) {
			if (floatval($product[2])>0) {
				if (preg_match("/<a href/i", $product[1])) {
					$part = explode('<a href', $product[1]);
					$product[1] = $part[0];
				}
				$message.="$product[1] $product[2] \r\n";
			}
		}
		if ($coupon!='' || $tax>0) {
			$message.="+ ___________ \r\n";
		}
		if ($coupon!='') {
			$message.="$coupon $couponvalue \r\n";
		}		
		if ($tax>0) {
			$message.="$lang_84 $currency ". number_format(floatval($tax),2,'.',',') ." \r\n";
		}		
		$message.="+ ___________ \r\n";
		$message.="$lang_34 $currency ". number_format(floatval($amount),2,'.',',') ." \r\n"
		."$lang_164 \r\n"
		."$bank_1 \r\n"
		."$bank_2 \r\n"
		."$bank_3 \r\n"
		."$bank_4 \r\n"
		."$lang_52 $lang_162\r\n"
		."$bk_business \r\n"
		."$location \r\n"
		."$lang_49 \r\n"
		."$shopname \r\n\r\n"
		."--$bound_text\r\n"	
		."Content-Type: text/html; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."<html><head><title></title></head><body><center>"
		."<table  border=\"0\" width=\"630\" cellpadding=\"0\" cellspacing=\"0\" style=\"max-width:630px; margin: 0 auto;\"><tr><td>"
                ."<table style=\"border : 0px;width : 100%;\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lt.gif\" >&nbsp;</td><td height=\"39px\" background=\"$linkimage/tabletop.gif\" >&nbsp;</td>"
                ."<td width=\"39px\" height=\"39px\" background=\"$linkimage/rt.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" background=\"$linkimage/tableleft.gif\" >&nbsp;</td><td style=\"background-color : $shopcolor\">";
        if ($show_header)
                $message.="<table width=\"100%\"><tr><td style=\"text-align : center;width : 100%;\"><img src=\"$linkimage/$headeremailimage\" style=\"padding-bottom : 20px;border : 0px;\" /></td></tr></table>";
         $message.="<table width=\"100%\">"
                ."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;font-weight : bold;padding-right : 20px;\" nowrap=\"nowrap\">$lang_83 $invoice</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$originaladdress</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$country</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>"
		."<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;font-weight : bold;\" nowrap=\"nowrap\">$lang_01</td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;font-weight : bold;padding-right : 20px;\" nowrap=\"nowrap\">$lang_03 $currency</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>";
	foreach($items as $product) {
		if (floatval($product[2])>0) {
			if (preg_match("/<a href/i", $product[1])) {
				$part = explode('<a href', $product[1]);
				$product[1] = $part[0];
			}
			$message.="<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">". $product[1] ."</td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\">". $product[2] ."</td></tr>";
		}
        }
	if ($coupon!='' || $tax>0) {
		$message.="<tr><td>&nbsp; </td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\">+ ___________</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>";
	}
	if ($coupon!='') {
                $message.="<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$coupon</td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\">". number_format(floatval($couponvalue),2,'.',',') ."</td></tr>";
	}
	if ($tax>0) {
		$message.="<tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$lang_84</td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\">". number_format(floatval($tax),2,'.',',') ."</td></tr>";
	}	
	$message.="<tr><td>&nbsp; </td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\">+ ___________</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>";		
		$message.="<tr><td>&nbsp;</td><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;text-align : right;font-weight : bold;padding-right : 20px;\" nowrap=\"nowrap\">$lang_34 $currency ". number_format(floatval($amount),2,'.',',') . "</td></tr>"
		."<tr><td colspan=\"2\" >&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;font-weight : bold;\" >$lang_164</td></tr>"
		."<tr><td colspan=\"2\" >&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" >$bank_1</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" >$bank_2</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" >$bank_3</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" >$bank_4</td></tr>"
		."<tr><td colspan=\"2\" >&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\">$lang_52 $lang_162</td></tr>"
		."<tr><td colspan=\"2\" >&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$bk_business</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$location</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;\" nowrap=\"nowrap\">$lang_49</td></tr>"
		."<tr><td colspan=\"2\" style=\"font-family: Verdana, Helvetica, Arial, sans-serif; font-size : 12px; color: $textcolor;padding-left : 20px;font-weight : bold;\" nowrap=\"nowrap\">$shopname</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>"
                ."</table>"
                ."</td><td width=\"39px\" background=\"$linkimage/tableright.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lb.gif\" >&nbsp;</td>"
                ."<td height=\"39px\" background=\"$linkimage/tablebottom.gif\" >&nbsp;</td><td width=\"39px\" height=\"39px\" background=\"$linkimage/rb.gif\" >&nbsp;</td></tr></table>"        
                ."</td></tr></table></center></body></html>\r\n\r\n"						
		."--$bound_text--\r\n\r\n";
	return mail($mailto,"$lang_85 $shopname",wordwrap($message,70),$headers);

}

?>
